Bug 186632

Summary: Add a graceful exit for AuthenticationManager::initializeConnection
Product: WebKit Reporter: Jiewen Tan <jiewen_tan>
Component: WebKit Misc.Assignee: Jiewen Tan <jiewen_tan>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, benjamin, bfulgham, bugs-noreply, calvaris, cdumez, cmarcelo, commit-queue, dbates, ews, jiewen_tan, ltilve+ews, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
bfulgham: review+
Archive of layout-test-results from ltilve-gtk-wk2-ews for gtk-wk2
none
Patch for landing none

Description Jiewen Tan 2018-06-14 14:22:37 PDT
Add a grace exit for AuthenticationManager::initializeConnection when the provided IPC connection is null or the underlying xpc connection is null.
Comment 1 Jiewen Tan 2018-06-14 14:23:10 PDT
<rdar://problem/41041033>
Comment 2 Jiewen Tan 2018-06-14 14:28:10 PDT
Created attachment 342761 [details]
Patch
Comment 3 Igalia-pontevedra EWS 2018-06-14 19:50:52 PDT
Comment on attachment 342761 [details]
Patch

Attachment 342761 [details] did not pass gtk-wk2-ews (gtk-wk2):
Output: http://webkit-queues.webkit.org/results/8189070

New failing tests:
http/tests/misc/char-encoding-bocu-1-blacklisted.html
Comment 4 Igalia-pontevedra EWS 2018-06-14 19:50:57 PDT
Created attachment 342786 [details]
Archive of layout-test-results from ltilve-gtk-wk2-ews for gtk-wk2

The attached test failures were seen while running run-webkit-tests on the gtk-wk2-ews.
Bot: ltilve-gtk-wk2-ews  Port: gtk-wk2  Platform: Linux-4.16.0-0.bpo.1-amd64-x86_64-with-debian-9.4
Comment 5 Jiewen Tan 2018-06-15 11:11:59 PDT
The tree of GTK EWS Port is red.
Comment 6 Brent Fulgham 2018-06-18 10:14:55 PDT
Comment on attachment 342761 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342761&action=review

r=me.

> Source/WebKit/ChangeLog:3
> +        Add a grace exit for AuthenticationManager::initializeConnection

Add a graceful exit ...

> Source/WebKit/ChangeLog:9
> +        Add a grace exit for AuthenticationManager::initializeConnection when the provided IPC connection

Ditto.
Comment 7 Jiewen Tan 2018-06-18 11:06:51 PDT
Comment on attachment 342761 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342761&action=review

Thanks Brent for r+ this patch.

>> Source/WebKit/ChangeLog:3
>> +        Add a grace exit for AuthenticationManager::initializeConnection
> 
> Add a graceful exit ...

Fixed.

>> Source/WebKit/ChangeLog:9
>> +        Add a grace exit for AuthenticationManager::initializeConnection when the provided IPC connection
> 
> Ditto.

Fixed.
Comment 8 Jiewen Tan 2018-06-18 11:10:24 PDT
Created attachment 342953 [details]
Patch for landing
Comment 9 WebKit Commit Bot 2018-06-18 11:54:56 PDT
Comment on attachment 342953 [details]
Patch for landing

Clearing flags on attachment: 342953

Committed r232937: <https://trac.webkit.org/changeset/232937>